Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024128
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-06-18 18:132013-07-19 08:58
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisionfaf12039b505
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP23SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024128: The timeout in js commonbuttons is small

DescriptionThe timeout in js commonbuttons is small

Due to this problem, ipads devices are working slowly when they are trying to find products in search window.

The problem is that currently the request is done when the user stop writing during 750ms and it is small space of time because ipad has touch screen and users have not the hability to push fast the buttons
Steps To Reproduce-
Proposed SolutionChange in file "modules/org.openbravo.retail.posterminal/web/org.openbravo.retail.posterminal/js/components/commonbuttons.js" line 518

setTimeout(function () {
if (temp === me.getValue()) {
me.doFiltered();
}
}, 750);

increase from 750 to 1500
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059857)
hgbot (developer)
2013-07-04 16:16

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: faf12039b505165738f485fc150b7a518d48e22c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 16:15:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/faf12039b505165738f485fc150b7a518d48e22c [^]

Fixed issue 24128. Increased a bit the timeout to do the filtering to improve behavior in mobile devices.

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
---
(0059915)
hgbot (developer)
2013-07-08 15:23

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: faf12039b505165738f485fc150b7a518d48e22c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 16:15:46 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/faf12039b505165738f485fc150b7a518d48e22c [^]

Fixed issue 24128. Increased a bit the timeout to do the filtering to improve behavior in mobile devices.

---
M web/org.openbravo.mobile.core/source/component/ob-commonbuttons.js
---
(0060116)
migueldejuana (developer)
2013-07-19 08:58

Fixed and reviewed in 4abc82b73efa

- Issue History
Date Modified Username Field Change
2013-06-18 18:13 jecharri New Issue
2013-06-18 18:13 jecharri Assigned To => marvintm
2013-07-03 09:06 jecharri Proposed Solution updated
2013-07-04 16:16 hgbot Checkin
2013-07-04 16:16 hgbot Note Added: 0059857
2013-07-04 16:16 hgbot Status new => resolved
2013-07-04 16:16 hgbot Resolution open => fixed
2013-07-04 16:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/faf12039b505165738f485fc150b7a518d48e22c [^]
2013-07-08 15:23 hgbot Checkin
2013-07-08 15:23 hgbot Note Added: 0059915
2013-07-08 15:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/faf12039b505165738f485fc150b7a518d48e22c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/faf12039b505165738f485fc150b7a518d48e22c [^]
2013-07-19 08:58 migueldejuana Review Assigned To => migueldejuana
2013-07-19 08:58 migueldejuana Note Added: 0060116
2013-07-19 08:58 migueldejuana Status resolved => closed
2013-07-19 08:58 migueldejuana Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker